
vMap is a french powerful webmapping application based on the newest open-source libraries (OpenLayers 3, Google-Closure, AngularJS, Bootstrap…).
It can use external map services, local data files produced in many formats (WMS, WMTS, Bing, OSM, GPX, GeoJSON, KML, TopoJSON...) or publish WMS services using MapServer.
vMap is able to manage business objects while using WMS producing server software like MapServer, GeoServer, QGIS Server or ArcGis Server.

![](https://www.veremes.com/wp-content/uploads/vMap_Docker.png)

# Getting started using Doker

Pull and build the image

```
docker pull veremes/vmap
docker run --name vmap -d veremes/vmap
```

You can get the container IP adress using the comand below

```
docker inspect -f '{{range .NetworkSettings.Networks}}{{.IPAddress}}{{end}}' vmap
```

Once you put the IP on your favorite browser you can see vMap is installing the latest version, this operation could take 2 or 3 minutes.

![](https://www.veremes.com/wp-content/uploads/maintenance_page.jpg)

When the install is done you can sign in using the following credencials

* **login**: admin
* **pass**:  admin_veremes

Now follow the section "*5. Premiers pas*" from the [install guide](https://www.veremes.com/procedure-dinstallation-de-vmap) (french)

# Available features

## Publish queryable layers using Mapserver and WMS GetFeatureInfo

The map view allows you to click on a item and display the GetFeatureInfo result

![](https://www.veremes.com/wp-content/uploads/getfeatureinfo_mode_carto.jpg)

Use the **Mapserver** mode to create WMS layers with an HTML query templates

![](https://www.veremes.com/wp-content/uploads/getfeatureinfo_admin_couche.jpg)

## Publish queryable layers using vMap business objects

WMS GetFeatureInfo requests are limited, to go further use the **vMap business objects** that allows you to edit and insert data using full customizable forms.

![](https://www.veremes.com/wp-content/uploads/mode_carto.png)

A powerful graphic interface will help you create complex forms with more than 30 different types of fields, external datasources etc...

![](https://www.veremes.com/wp-content/uploads/bo_studio.jpg)

## Snapping features when editing geometries

Geographic **data quality** is essential, to avoid superpositions you can activate the snapping while creating or editing features.

![](https://www.veremes.com/wp-content/uploads/accrochage.gif)

## Compare maps

You can use the compare button to compare two different maps and make PDF prints of them.

![](https://www.veremes.com/wp-content/uploads/comparaison.gif)

## Mobile mode

vMap is also available for mobile devices using a simple browser

You will be able to display, insert and edit data in the same way you do using your computer. A **GPS** connection is also available to draw features using your current position.

| ![](https://www.veremes.com/wp-content/uploads/mobile_measure.png) | ![](https://www.veremes.com/wp-content/uploads/mobile_cadastre.png) | ![](https://www.veremes.com/wp-content/uploads/mobile_saisie.png) |
|:------------:|:-------------:|:-------------:|
| Display data |  Query layers | Draw features |

# Usefull links

* **More about vMap:** https://www.veremes.com/produits/vmap (french)
* **Documentation:** https://vmap.readthedocs.io/fr/latest/
* **Gitlab repo:** https://gitlab.veremes.net/open-source/vmap


Created and maintained by [Veremes](https://www.veremes.com/)
